{ config, pkgs, ... }:
let host = "cloud-new.qo.is";
in {

  imports = [

    ../../../role/nextcloud
  ];

  services.nextcloud = {
    hostName = host;
    package = pkgs.nextcloud19;
  };
  services.nginx.virtualHosts."${host}" = {
    forceSSL = true;
    enableACME = true;
  };

}
