{ config, pkgs, ... }:

{
  networking.hostName = "montalin"; # Define your hostname.

  networking.useDHCP = false;
  networking.interfaces.eno1 = {
    ipv4.addresses = [{
      address = "10.1.2.2";
      prefixLength = 24;
    }];
  };
  networking.interfaces.wlp1s0.useDHCP = true;

  networking.defaultGateway = "10.1.2.1";
  networking.nameservers = [ "10.1.2.1" ];

  # Configure network proxy if necessary
  # networking.proxy.default = "http://user:password@proxy:port/";
  # networking.proxy.noProxy = "127.0.0.1,localhost,internal.domain";

  networking.firewall.allowedTCPPorts = [ 80 443 ];
}
